org.apache.xmlbeans.impl.inst2xsd

## Class Inst2XsdOptions

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.Inst2XsdOptions

-     public class Inst2XsdOptions
      extends Object

  Author:
    Cezar Andrei (cezar.andrei at bea.com) Date: Jul 19, 2004 Options: Design o Russian Doll Design - local elements and local types o Salami Slice Design - global elements and local types o Venetian Blind Design (default)- local elements and global complex types Simple content types (leafs) o smart (default) - try to find out the right simple shema type o always xsd:string Use enumeration - when there are multiple valid values in a list o never o only if not more than the value (default 10)- number option

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DESIGN_RUSSIAN_DOLL`
    `static int` | `DESIGN_SALAMI_SLICE`
    `static int` | `DESIGN_VENETIAN_BLIND`
    `static int` | `ENUMERATION_NEVER`
    `static int` | `ENUMERATION_NOT_MORE_THAN_DEFAULT`
    `static int` | `SIMPLE_CONTENT_TYPES_SMART`
    `static int` | `SIMPLE_CONTENT_TYPES_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Inst2XsdOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDesign()`
    `int` | `getSimpleContentTypes()`
    `int` | `getUseEnumerations()`
    `boolean` | `isUseEnumerations()`
    `boolean` | `isVerbose()`
    `void` | `setDesign(int designType)` Design o Russian Doll Design o Salami Slice Design o Venetian Blind Design
    `void` | `setSimpleContentTypes(int simpleContentTypes)`
    `void` | `setUseEnumerations(int useEnumerations)`
    `void` | `setVerbose(boolean verbose)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DESIGN_RUSSIAN_DOLL

          public static final int DESIGN_RUSSIAN_DOLL

      See Also:
        Constant Field Values

    - #### DESIGN_SALAMI_SLICE

          public static final int DESIGN_SALAMI_SLICE

      See Also:
        Constant Field Values

    - #### DESIGN_VENETIAN_BLIND

          public static final int DESIGN_VENETIAN_BLIND

      See Also:
        Constant Field Values

    - #### SIMPLE_CONTENT_TYPES_SMART

          public static final int SIMPLE_CONTENT_TYPES_SMART

      See Also:
        Constant Field Values

    - #### SIMPLE_CONTENT_TYPES_STRING

          public static final int SIMPLE_CONTENT_TYPES_STRING

      See Also:
        Constant Field Values

    - #### ENUMERATION_NEVER

          public static final int ENUMERATION_NEVER

      See Also:
        Constant Field Values

    - #### ENUMERATION_NOT_MORE_THAN_DEFAULT

          public static final int ENUMERATION_NOT_MORE_THAN_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Inst2XsdOptions

          public Inst2XsdOptions()

  - ### Method Detail

    - #### getDesign

          public int getDesign()

    - #### setDesign

          public void setDesign(int designType)

      Design o Russian Doll Design o Salami Slice Design o Venetian Blind Design
      Parameters:
        `designType` -
      See Also:
        `DESIGN_RUSSIAN_DOLL`, `DESIGN_SALAMI_SLICE`, `DESIGN_VENETIAN_BLIND`

    - #### isUseEnumerations

          public boolean isUseEnumerations()

    - #### getUseEnumerations

          public int getUseEnumerations()

    - #### setUseEnumerations

          public void setUseEnumerations(int useEnumerations)

    - #### getSimpleContentTypes

          public int getSimpleContentTypes()

    - #### setSimpleContentTypes

          public void setSimpleContentTypes(int simpleContentTypes)

    - #### isVerbose

          public boolean isVerbose()

    - #### setVerbose

          public void setVerbose(boolean verbose)